// baseapp.h
//

#ifndef LZZ_baseapp_h
#define LZZ_baseapp_h
#include <FL/Fl.H>
#include <FL/Fl_Widget.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Int_Input.H>
#include <FL/Fl_Float_Input.H>
#include <FL/Fl_Text_Editor.H>

#define LZZ_INLINE inline
class Auto_Fl_Box : public Fl_Box
{
public:
  Auto_Fl_Box ();
};
class Auto_Fl_Input : public Fl_Input
{
public:
  Auto_Fl_Input ();
};
class Auto_Fl_Int_Input : public Fl_Int_Input
{
public:
  Auto_Fl_Int_Input ();
};
class Auto_Fl_Float_Input : public Fl_Float_Input
{
public:
  Auto_Fl_Float_Input ();
};
class Auto_Fl_Text_Editor : public Fl_Text_Editor
{
public:
  Auto_Fl_Text_Editor ();
};
class Auto_Fl_Text_Editor_Buffered : public Fl_Text_Editor_Buffered
{
public:
  Auto_Fl_Text_Editor_Buffered ();
};
class Auto_Fl_Button : public Fl_Button
{
public:
  Auto_Fl_Button ();
};
class Auto_Fl_Choice : public Fl_Choice
{
public:
  Auto_Fl_Choice ();
};
class AddressEdit
{
public:
  struct Gui
  {
    Auto_Fl_Input name;
    Auto_Fl_Int_Input age;
    Auto_Fl_Choice sex;
    Auto_Fl_Text_Editor_Buffered notes;
    Auto_Fl_Button btnSave;
  };
  Gui gui;
  AddressEdit ();
  ~ AddressEdit ();
};
#undef LZZ_INLINE
#endif
